Skip to main content
GET 

/charges/brokerage

Brokerage Details

API for calculating brokerage fees associated with stock. It accepts input parameters like the instrument, quantity, and other necessary details, and provides a comprehensive breakdown of the total charges.

Request​

curl --location 'https://api.upstox.com/v2/charges/brokerage?instrument_token=NSE_EQ%7CINE669E01016&quantity=10&product=D&transaction_type=BUY&price=13.7' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

For additional samples in various languages, please refer to the Sample code section on this page.

Query Parameters​

NameRequiredTypeDescription
instrument_tokenRequiredstringKey of the instrument. For the regex pattern applicable to this field, see the Field Pattern Appendix.
quantityRequiredinteger (int32)Quantity with which the order is to be placed
productRequiredstringProduct with which the order is to be placed
transaction_typeRequiredstringIndicates whether its a BUY or SELL order
priceRequirednumber (float)Price with which the order is to be placed

Responses​

Response Body​

{
"status": "success",
"data": {
"charges": {
"total": 208.27,
"brokerage": 0.0,
"taxes": {
"gst": 1.02,
"stt": 175.0,
"stamp_duty": 26.23
},
"other_charges": {
"transaction": 5.68,
"clearing": 0.0,
"ipft": 0.17,
"sebi_turnover": 0.17
},
"dp_plan": {
"name": "DP3A",
"min_expense": 18.5
}
"otherTaxes": {
"transaction": 5.68,
"clearing": 0.0,
"ipft": 0.17,
"sebi_turnover": 0.17
},
"dpPlan": {
"name": "DP3A",
"min_expense": 18.5
},
}
}
}
NameTypeDescription
statusstringA string indicating the outcome of the request. Typically success for successful operations.
dataobjectResponse data for brokerage
data.chargesobjectResponse data for charges details
data.charges.totalfloatTotal charges for the order
data.charges.brokeragefloatBrokerage charges for the order
data.charges.taxesobjectTaxes levied on order
data.charges.taxes.gstfloatGST charges
data.charges.taxes.sttfloatSTT charges
data.charges.taxes.stamp_dutyfloatStamp duty charges
data.charges.other_chargesobjectOther applicable charges
data.charges.other_charges.transactionfloatTransaction charges
data.charges.other_charges.clearingfloatClearing charges
data.charges.other_charges.ipftfloatIPF charges
data.charges.other_charges.sebi_turnoverfloatSEBI turnover charges
data.charges.dp_planobjectdpPlan detail
data.charges.dp_plan.namestringName of the user's Depository Participant plan, indicating the specific DP service they are enrolled in.
data.charges.dp_plan.min_expensefloatDaily minimum charges per scrip on sales, not included in brokerage calculations, indicating extra costs under the user's DP plan.

Sample Code​

Equity delivery orders​

curl --location 'https://api.upstox.com/v2/charges/brokerage?instrument_token=NSE_EQ%7CINE669E01016&quantity=10&product=D&transaction_type=BUY&price=13.7' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Equity intraday orders​

curl --location 'https://api.upstox.com/v2/charges/brokerage?instrument_token=NSE_EQ%7CINE669E01016&quantity=10&product=I&transaction_type=BUY&price=13.7' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Equity futures and options delivery orders​

curl --location 'https://api.upstox.com/v2/charges/brokerage?instrument_token=NSE_FO%7C35271&quantity=10&product=D&transaction_type=BUY&price=1400' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Equity futures and options intraday orders​

curl --location 'https://api.upstox.com/v2/charges/brokerage?instrument_token=NSE_FO%7C35271&quantity=10&product=I&transaction_type=BUY&price=1400' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'